org.gradle.jvm

## Interface JvmBinarySpec

- All Superinterfaces:
    BinarySpec, Buildable, BuildableModelElement, Named
  All Known Subinterfaces:
    ClassDirectoryBinarySpec, JarBinarySpec, JvmLibraryBinarySpec

      @Incubating
      public interface JvmBinarySpec
      extends BinarySpec

  Represents a binary artifact that is the result of building a jvm component.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Named

      `Named.Namer`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `File` | `getClassesDir()` The classes directory for this binary.
    `File` | `getResourcesDir()` The resources directory for this binary.
    `JavaPlatform` | `getTargetPlatform()` The target platform for this binary.
    `JvmBinaryTasks` | `getTasks()` The set of tasks associated with this binary.
    `JavaToolChain` | `getToolChain()` Returns the `JavaToolChain` that will be used to build this binary.
    `void` | `setClassesDir(File classesDir)` Sets the classes directory for this binary.
    `void` | `setResourcesDir(File dir)` Sets the resources directory for this binary.

    - ### Methods inherited from interface org.gradle.platform.base.BinarySpec

      `getDisplayName, getSource, isBuildable, source`

    - ### Methods inherited from interface org.gradle.api.BuildableModelElement

      `builtBy, getBuildTask, hasBuildDependencies, setBuildTask`

    - ### Methods inherited from interface org.gradle.api.Buildable

      `getBuildDependencies`

    - ### Methods inherited from interface org.gradle.api.Named

      `getName`

- - ### Method Detail

    - #### getTasks

          JvmBinaryTasks getTasks()

      The set of tasks associated with this binary.
      Specified by:
        `getTasks` in interface `BinarySpec`

    - #### getTargetPlatform

          JavaPlatform getTargetPlatform()

      The target platform for this binary.

    - #### getToolChain

          JavaToolChain getToolChain()

      Returns the `JavaToolChain` that will be used to build this binary.

    - #### getClassesDir

          File getClassesDir()

      The classes directory for this binary.

    - #### setClassesDir

          void setClassesDir(File classesDir)

      Sets the classes directory for this binary.

    - #### getResourcesDir

          File getResourcesDir()

      The resources directory for this binary.

    - #### setResourcesDir

          void setResourcesDir(File dir)

      Sets the resources directory for this binary.